# Set Parameter
source: https://developer.mastercard.com/mastercard-processing-core/documentation/use-cases/classifiers-and-parameters-management/set-parameter/index.md

## Overview {#overview}

The use case describes how you set or change the parameter for the contract (account contract or card contract). For example, you can use this operation to change the default billing date or fee plan for a specified credit card contract.

## Sequence diagram {#sequence-diagram}

Diagram set-parameter

### Explanation {#explanation}

1. The server sends a `PUT` request to the `/contracts/{contract_id}/parameters/{parameter_code}` endpoint by passing the `parameterValue` field in the request body. To set the parameter for the account contract or card contract, the server must put the `accountContractId` or `cardContractId`, respectively, in place of the `contract_id` in the path. Note: The list of possible `parameterValue` values of the specified `parameterCode` values will be defined in the CMS during the onboarding process. You are allowed to use only those defined values.
2. The API returns the HTTP status 204.

Refer to [Sandbox testing](https://developer.mastercard.com/mastercard-processing-core/documentation/sandbox-testing/classifiers-and-parameters-management/set-parameter/index.md) for information on how to execute the use case in the Sandbox environment.

## Endpoint {#endpoint}


API Reference: `PUT /contracts/{contract_id}/parameters/{parameter_code}`

